; Original code by TAKAHASHI Shuhei <pcb@pcbsoft.net>
; This code is licensed under NYSL ver. 0.9982.
; See LICENSE.txt for details.

;	     ////////////////////////////////////////	
;	    ////                                ////	
;	   ////         萔Cu         ////	
;	  ////                      by PCB    ////	
;	 ////                   Release #1   ////	
;	////////////////////////////////////////	


#define __pcbdef	"PCBDEF.AS by PCB"

;
;	//	objsendŎgpł萔Q
;

#define EM_GETSEL			$B0
#define EM_SETSEL			$B1
#define EM_GETRECT			$B2
#define EM_SETRECT			$B3
#define EM_SETRECTNP			$B4
#define EM_SCROLL			$B5
#define EM_LINESCROLL			$B6
#define EM_SCROLLCARET			$B7
#define EM_GETMODIFY			$B8
#define EM_SETMODIFY			$B9
#define EM_GETLINECOUNT			$BA
#define EM_LINEINDEX			$BB
#define EM_SETHANDLE			$BC
#define EM_GETHANDLE			$BD
#define EM_GETTHUMB			$BE
#define EM_LINELENGTH			$C1
#define EM_REPLACESEL			$C2
#define EM_GETLINE			$C4
#define EM_LIMITTEXT			$C5
#define EM_CANUNDO			$C6
#define EM_UNDO				$C7
#define EM_FMTLINES			$C8
#define EM_LINEFROMCHAR			$C9
#define EM_SETTABSTOPS			$CB
#define EM_SETPASSWORDCHAR		$CC
#define EM_EMPTYUNDOBUFFER		$CD
#define EM_GETFIRSTVISIBLELINE		$CE
#define EM_SETREADONLY			$CF
#define EM_SETWORDBREAKPROC		$D0
#define EM_GETWORDBREAKPROC		$D1
#define EM_GETPASSWORDCHAR		$D2
#define EM_SETMARGINS			$D3
#define EM_GETMARGINS			$D4
#define EM_GETLIMITTEXT			$D5
#define EM_POSFROMCHAR			$D6
#define EM_CHARFROMPOS			$D7
#define EM_SETLIMITTEXT			EM_LIMITTEXT

#define BM_GETCHECK			$F0
#define BM_SETCHECK			$F1
#define BM_GETSTATE			$F2
#define BM_SETSTATE			$F3
#define BM_SETSTYLE			$F4
#define BM_CLICK			$F5
#define BM_GETIMAGE			$F6
#define BM_SETIMAGE			$F7

#define BS_PUSHBUTTON			$00
#define BS_DEFPUSHBUTTON		$01
#define BS_CHECKBOX			$02
#define BS_AUTOCHECKBOX			$03
#define BS_RADIOBUTTON			$04
#define BS_3STATE			$05
#define BS_AUTO3STATE			$06
#define BS_GROUPBOX			$07
#define BS_AUTORADIOBUTTON		$09
#define BS_OWNERDRAW			$0B



#define LB_ADDSTRING			$0180
#define LB_INSERTSTRING			$0181
#define LB_DELETESTRING 		$0182
#define LB_SELITEMRANGEEX		$0183
#define LB_RESETCONTENT			$0184
#define LB_SETSEL			$0185
#define LB_SETCURSEL			$0186
#define LB_GETSEL			$0187
#define LB_GETCURSEL			$0188
#define LB_GETTEXT			$0189
#define LB_GETTEXTLEN			$018A
#define LB_GETCOUNT			$018B
#define LB_SELECTSTRING			$018C
#define LB_DIR				$018D
#define LB_GETTOPINDEX			$018E
#define LB_FINDSTRING			$018F
#define LB_GETSELCOUNT			$0190
#define LB_GETSELITEMS			$0191
#define LB_SETTABSTOPS			$0192
#define LB_GETHORIZONTALEXTENT		$0193
#define LB_SETHORIZONTALEXTENT		$0194
#define LB_SETCOLUMNWIDTH		$0195
#define LB_ADDFILE			$0196
#define LB_SETTOPINDEX			$0197
#define LB_GETITEMRECT			$0198
#define LB_GETITEMDATA			$0199
#define LB_SETITEMDATA			$019A
#define LB_SELITEMRANGE			$019B
#define LB_SETANCHORINDEX		$019C
#define LB_GETANCHORINDEX		$019D
#define LB_SETCARETINDEX		$019E
#define LB_GETCARETINDEX		$019F
#define LB_SETITEMHEIGHT		$01A0
#define LB_GETITEMHEIGHT		$01A1
#define LB_FINDSTRINGEXACT		$01A2
#define LB_SETLOCALE			$01A5
#define LB_GETLOCALE			$01A6
#define LB_SETCOUNT			$01A7
#define LB_INITSTORAGE			$01A8
#define LB_ITEMFROMPOINT		$01A9
#define LB_MSGMAX			$01A8
#define LB_MSGMAXNT			$01B0

#define CB_GETEDITSEL			$0140
#define CB_LIMITTEXT			$0141
#define CB_SETEDITSEL			$0142
#define CB_ADDSTRING			$0143
#define CB_DELETESTRING			$0144
#define CB_DIR				$0145
#define CB_GETCOUNT			$0146
#define CB_GETCURSEL			$0147
#define CB_GETLBTEXT			$0148
#define CB_GETLBTEXTLEN			$0149
#define CB_INSERTSTRING			$014A
#define CB_RESETCONTENT			$014B
#define CB_FINDSTRING			$014C
#define CB_SELECTSTRING			$014D
#define CB_SETCURSEL			$014E
#define CB_SHOWDROPDOWN			$014F
#define CB_GETITEMDATA			$0150
#define CB_SETITEMDATA			$0151
#define CB_GETDROPPEDCONTROLRECT	$0152
#define CB_SETITEMHEIGHT		$0153
#define CB_GETITEMHEIGHT		$0154
#define CB_SETEXTENDEDUI		$0155
#define CB_GETEXTENDEDUI		$0156
#define CB_GETDROPPEDSTATE		$0157
#define CB_FINDSTRINGEXACT		$0158
#define CB_SETLOCALE			$0159
#define CB_GETLOCALE			$015A
#define CB_GETTOPINDEX			$015b
#define CB_SETTOPINDEX			$015c
#define CB_GETHORIZONTALEXTENT		$015d
#define CB_SETHORIZONTALEXTENT		$015e
#define CB_GETDROPPEDWIDTH		$015f
#define CB_SETDROPPEDWIDTH		$0160
#define CB_INITSTORAGE			$0161
#define CB_MSGMAX			$015B
#define CB_MSGMAXNT			$0162

#define SBM_SETPOS			$E0
#define SBM_GETPOS 			$E1
#define SBM_SETRANGE			$E2
#define SBM_SETRANGEREDRAW		$E6
#define SBM_GETRANGE			$E3
#define SBM_ENABLE_ARROWS		$E4
#define SBM_SETSCROLLINFO		$E9
#define SBM_GETSCROLLINFO		$EA

;
;	///	getkeyŎgpł萔Q
;

#define VK_LBUTTON	$01
#define VK_RBUTTON	$02
#define VK_CANCEL	$03
#define VK_MBUTTON	$04
#define VK_BACK		$08
#define VK_TAB		$09
#define VK_CLEAR	$0C
#define VK_RETURN	$0D
#define VK_SHIFT	$10
#define VK_CONTROL	$11
#define VK_MENU		$12
#define VK_PAUSE	$13
#define VK_CAPITAL	$14
#define VK_ESCAPE	$1B
#define VK_SPACE	$20
#define VK_PRIOR	$21
#define VK_NEXT		$22
#define VK_END		$23
#define VK_HOME		$24
#define VK_LEFT		$25
#define VK_UP		$26
#define VK_RIGHT	$27
#define VK_DOWN		$28
#define VK_SELECT	$29
#define VK_PRINT	$2A
#define VK_EXECUTE	$2B
#define VK_SNAPSHOT	$2C
#define VK_INSERT	$2D
#define VK_DELETE	$2E
#define VK_HELP		$2F
#define VK_LWIN		$5B
#define VK_RWIN		$5C
#define VK_APPS		$5D
#define VK_NUMPAD0	$60
#define VK_NUMPAD1	$61
#define VK_NUMPAD2	$62
#define VK_NUMPAD3	$63
#define VK_NUMPAD4	$64
#define VK_NUMPAD5	$65
#define VK_NUMPAD6	$66
#define VK_NUMPAD7	$67
#define VK_NUMPAD8	$68
#define VK_NUMPAD9	$69
#define VK_MULTIPLY	$6A
#define VK_ADD		$6B
#define VK_SEPARATOR	$6C
#define VK_SUBTRACT	$6D
#define VK_DECIMAL	$6E
#define VK_DIVIDE	$6F
#define VK_F1		$70
#define VK_F2		$71
#define VK_F3		$72
#define VK_F4		$73
#define VK_F5		$74
#define VK_F6		$75
#define VK_F7		$76
#define VK_F8		$77
#define VK_F9		$78
#define VK_F10		$79
#define VK_F11		$7A
#define VK_F12		$7B
#define VK_F13		$7C
#define VK_F14		$7D
#define VK_F15		$7E
#define VK_F16		$7F
#define VK_F17		$80
#define VK_F18		$81
#define VK_F19		$82
#define VK_F20		$83
#define VK_F21		$84
#define VK_F22		$85
#define VK_F23		$86
#define VK_F24		$87
#define VK_NUMLOCK	$90
#define VK_SCROLL	$91
#define VK_LSHIFT	$A0
#define VK_RSHIFT	$A1
#define VK_LCONTROL	$A2
#define VK_RCONTROL	$A3
#define VK_LMENU	$A4
#define VK_RMENU	$A5
#define VK_PROCESSKEY	$E5
#define VK_ATTN		$F6
#define VK_CRSEL	$F7
#define VK_EXSEL	$F8
#define VK_EREOF	$F9
#define VK_PLAY		$FA
#define VK_ZOOM		$FB
#define VK_NONAME	$FC
#define VK_PA1		$FD
#define VK_OEM_CLEAR	$FE

;
;	///	WindowStyle萔Q
;

#define WS_OVERLAPPED		$00000000
#define WS_POPUP		$80000000
#define WS_CHILD		$40000000
#define WS_MINIMIZE		$20000000
#define WS_VISIBLE		$10000000
#define WS_DISABLED		$08000000
#define WS_CLIPSIBLINGS		$04000000
#define WS_CLIPCHILDREN		$02000000
#define WS_MAXIMIZE		$01000000
#define WS_CAPTION		$00C00000
#define WS_BORDER		$00800000
#define WS_DLGFRAME		$00400000
#define WS_VSCROLL		$00200000
#define WS_HSCROLL		$00100000
#define WS_SYSMENU		$00080000
#define WS_THICKFRAME		$00040000
#define WS_GROUP		$00020000
#define WS_TABSTOP		$00010000
#define WS_MINIMIZEBOX		$00020000
#define WS_MAXIMIZEBOX		$00010000
#define WS_OVERLAPPEDWINDOW	$00CF0000
#define WS_POPUPWINDOW		$80880000
#define WS_CHILDWINDOW		WS_CHILD
#define WS_TILED		WS_OVERLAPPED
#define WS_ICONIC		WS_MINIMIZE
#define WS_SIZEBOX		WS_THICKFRAME
#define WS_TILEDWINDOW		WS_OVERLAPPEDWINDOW
#define WS_EX_DLGMODALFRAME	$00000001
#define WS_EX_NOPARENTNOTIFY	$00000004
#define WS_EX_TOPMOST		$00000008
#define WS_EX_ACCEPTFILES	$00000010
#define WS_EX_TRANSPARENT	$00000020
#define WS_EX_MDICHILD		$00000040
#define WS_EX_TOOLWINDOW	$00000080
#define WS_EX_WINDOWEDGE	$00000100
#define WS_EX_CLIENTEDGE	$00000200
#define WS_EX_CONTEXTHELP	$00000400
#define WS_EX_RIGHT		$00001000
#define WS_EX_LEFT		$00000000
#define WS_EX_RTLREADING	$00002000
#define WS_EX_LTRREADING	$00000000
#define WS_EX_LEFTSCROLLBAR	$00004000
#define WS_EX_RIGHTSCROLLBAR	$00000000
#define WS_EX_CONTROLPARENT	$00010000
#define WS_EX_STATICEDGE	$00020000
#define WS_EX_APPWINDOW		$00040000
#define WS_EX_OVERLAPPEDWINDOW	$00000300
#define WS_EX_PALETTEWINDOW	$00000188
;// HSPftHg`
#define WS_HSP_MAINWINDOW	$16CA0000
#define WS_HSP_SCREEN		$16C40000
#define WS_HSP_BGSCR		$96000000



;
;	///	悭gp萔Q
;

; _l
#define TRUE	1
#define FALSE	0

; oCiR[h
#define NULL		$00
#define BC_TAB		$09
#define BC_LF		$0A
#define BC_CR		$0D
#define BC_SPACE	$20
#define BC_EOF		$F9

; dialog̕Ԃl
#define IDCANCEL	0	;t@CI_CAOp
#define IDYES		6
#define IDNO		7

; gettimẽp[^
#define GT_YEAR		0
#define GT_MONTH	1
#define GT_DAYOFWEEK	2
#define GT_WEEK		2
#define GT_DAY		3
#define GT_HOUR		4
#define GT_MINUTE	5
#define GT_MIN		5
#define GT_SECOND	6
#define GT_SEC		6
#define GT_MILLISECOND	7
#define GT_MILLI	7

; EXEt@CƂċNĂ邩
	EXC = hspstat&1=0

; IMEL
	IME = hspstat&2>>1

; ̑A֗Ǝv
#define MAXINT	$7FFFFFFF
#define MININT	$80000000

sdim JWEEK,3,7:JWEEK="","","","","","","y"
sdim EWEEK,4,7:EWEEK="Sun","Mon","Tue","Wed","Thu","Fri","Sat"
sdim EMONTH,4,13:EMONTH="","Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"




; [EOF]