// Original code by TAKAHASHI Shuhei <pcb@pcbsoft.net>
// This code is licensed under NYSL ver. 0.9982.
// See LICENSE.txt for details.

#define VERSION				220
#define MUTEX_HEAD			"hspdebug_hpi_v2.20_<MUTEX>-"
#define SHARED_MEMORY_HEAD	"hspdebug_hpi_v2.20_<SHMEM>-"
#define MAX_SCRIPTFILES		256
#define MAX_SCRIPTNAMELEN	32
#define MAX_BREAKPOINTS		256


/*
 *		Xe[gg̈ʒu\\
 */
typedef struct {
	int script;			//	XNvgԍ
	int line;			//	sԍ
} STATEMENT, *LPSTATEMENT;


/*
 *		u[N|Cg\\
 */
typedef struct {
	BOOL enabled;		//	LtO
	STATEMENT pos;		//	ʒu
} BREAKPOINT, *LPBREAKPOINT;


/*
 *		srv<->appԂ̒ʐMɎgp\
 */
typedef struct {
	BOOL bRunning;						//	[app] ݎs
	BOOL bDebugging;					//	[srv] u[NLɂ
	BOOL bBreak;						//	[srv] ̍sŃu[N
	BOOL bResume;						//	[srv] u[N
	BOOL bException;					//	[dbg] O
	DEBUG_EVENT de;						//	[dbg] DEBUG_EVENT
	STATEMENT current;					//	[app] ݎs̍s
	BREAKPOINT bp[MAX_BREAKPOINTS];		//	[srv] u[N|Cg
} DEBUGINFO, *LPDEBUGINFO;


/*
 *		O[oϐ錾
 */
extern HANDLE hMutex;
extern HANDLE hMapping;
extern DEBUGINFO *debuginfo;


/*
 *		[N`FbN
 */
#ifdef _DEBUG
#include <crtdbg.h>

void memLeakCheck();

#define new new(_NORMAL_BLOCK,__FILE__,__LINE__)
#define malloc(p1) _malloc_dbg(p1,_NORMAL_BLOCK,__FILE__,__LINE__)
#define MEMLEAK_CHECK() memLeakCheck()

#else

#define MEMLEAK_CHECK()

#endif
