; Original code by TAKAHASHI Shuhei <pcb@pcbsoft.net>
; This code is licensed under NYSL ver. 0.9982.
; See LICENSE.txt for details.

#include "pcbmod.as"
#include "hspcmp.as"
#include "hspdebug.as"
#include "pcbdef.as"
#include "efhelper.as"


	sdim s,1024
	sdim ss,1024
	sdim sx,4

	sdim firstScript,1024
	sdim scriptDir,1024
	sdim scriptName,1024
	sdim scriptList,4096
	sdim hspDir,1024 : hspDir = exedir
	sdim tempDir,1024 : tempDir = hspDir+"\\temp"
	sdim commonDir,1024 : commonDir = hspDir+"\\common"
	sdim initName,1024 : initName = tempDir + "\\hstinit"
	sdim indexName,1024 : indexName = tempDir + "\\script.idx"
	sdim indexName2,1024
	sdim hsptmpName,1024 : hsptmpName = tempDir + "\\hsptmp"
	sdim objName,1024 : objName = tempDir + "\\obj"
	sdim hspPath,1024 : hspPath = hspDir+"\\hsp2.exe"
	sdim hscResult,32000
	sdim src,64*1024
	sdim did,1024
	sdim status,1024
	sdim dummy,1024

	c=0
	strlen len,indexName
	repeat len
		peek a,indexName,cnt
		poke indexName2,c,a
		c++
		if a='\\' : poke indexName2,c,a : c++
	loop

	HSPDebugGetVer
	if stat<220 : dialog "hspdebug.hpio[WAbvĂ",1,"o[WG[" : end
	majorVer = stat/100 : minorVer = stat\100
	s=minorVer : str s,2
	hpiVer = ""+majorVer+"."+s

	dirlist sx,tempDir,5
	if stat=0 : mkdir tempDir

	firstScript = cmdline
	if cmdline="" {
		dialog "as",16,"first script"
		if stat=0:end
		firstScript = refstr
	}
	peek a,firstScript,0
	if a='"' : getstr firstScript,firstScript,1,'"'
	_getpath scriptDir,firstScript
	getlastname scriptName,firstScript
	if scriptDir="" : scriptDir = curdir

	DBOutDir tempDir
	DBCommonDir commonDir
	DBEncode scriptList,firstScript
	if stat {
		dialog "XNvg̃RpCɎs܂B\nG[R[h: "+stat,1,"dbencoderRpCG["
		end
	}

	strlen a,scriptList
	bsave indexName,scriptList,a

	exist hspdir+"\\hstinit.as"
	if strsize!-1 {
		bcopy hspdir+"\\hstinit.as",initName
	}
	else {
		bcopy "hstinitd.as",initName
	}
	bcopy "hstcore.as",hsptmpName

	GenerateChannelName did
	s="\n\n"
	s+="; /* start inserting */\n"
	s+="init@_hst \""+did+"\",\""+indexName2+"\"\n"
	s+="#include \"hstinit\"\n"
	s+="_d -1,0\n"
	s+="#include \"000.ds\"\n"
	s+="; /* end inserting */\n\n"

	strlen a,s
	exist hsptmpName
	bsave hsptmpName,s,a,strsize

	chdir tempDir
	hsc_ini "hsptmp"
	hsc_objname "obj"
	hsc_comp 1
	if stat {
		hsc_getmes hscResult
		dialog "XNvg̃RpCɎs܂B\n\n"+hscResult,1,"hspcmpRpCG["
		end
	}

	screen 0,dispx,dispy,0
	width 640,480
	title "Hot Soup Taster"

	CreateDebugChannel did
	BreakApp
	chdir scriptDir
	;exec hspPath+" @"+objName
	DebugExec hspPath+" @\""+objName+"\""
	if stat {
		color 255,0,0
		mes "Failed to run the program!"
		dialog "vO̊JnɎs܂B",1
		end
	}

	goto *preMain

*preMain
	title "Hot Soup Taster"
	cls 4
	wndstyle 1

	tbset 0
	tbaddpack "break.bmp",0,2
	tbaddpack "",$800
	tbaddpack "run.bmp",0,1
	tbaddpack "stepin.bmp",0,3
	tbaddpack "tillhere.bmp",0,4
	tbaddpack "shownext.bmp",0,5
	tbaddpack "",$800
	tbaddpack "setbp.bmp",0,10
	tbaddpack "delbp.bmp",0,11
	tbaddpack "",$800
	tbaddpack "ver.bmp",0,98
	;tbaddpack "",$800
	;tbaddpack "terminate.bmp",0,99
	tbset 1
	tbHeight = stat
	sdim tbTips,64,12
	tbTips = "u[N(F4)","sĊJ(F5)","sĊJ(F5)","XebvC(F6)","̍sBPݒuĎsĊJ(F7)","̍s\(F8)","","u[N|Cgݒu(F9)","u[N|Cg(F9)","","o[W"		
	tbtip tbTips

	pos -200,0
	objsize 100,10
	objmode 2
	mesbox src,,,4
	objmode 1
	mesbox dummy,,,2
	combox sel,100,scriptList

	gosub *sizeChanged

	onexit *bye
	onkey *inkey
	gsel 0,1

	breaking=-2
	cscript=-1
	fvline=-1

	gsel 0,1

	goto *active

*active
	GetCurrentLine curline
	if breaking!curline.0 : gosub *refresh
	if (winx!owinx)|(winy!owiny) : gosub *sizeChanged
	if cscript!sel : gosub *loadsource
	objsend 0,EM_GETFIRSTVISIBLELINE,i,i,1
	if stat!fvline : gosub *redrawbp
	gosub *tbcheck
	wait 1
	goto *active

*tbcheck
	mmget:mid=stat
	if mid=1 : goto *runbutton
	if mid=2 : goto *breakbutton
	if mid=3 : goto *stepinbutton
	if mid=4 : goto *tillherebutton
	if mid=5 : goto *shownextbutton
	if mid=10: goto *setbpbutton
	if mid=11: goto *delbpbutton
	if mid=98: goto *versionbutton
	if mid=99: goto *terminatebutton
	return

*inkey
	if iparam=(111+5) : gosub *runbutton
	if iparam=(111+4) : gosub *breakbutton
	if iparam=(111+6) : gosub *stepinbutton
	if iparam=(111+7) : gosub *tillherebutton
	if iparam=(111+8) : gosub *shownextbutton
	if iparam=(111+9) : gosub *changebpbutton
	goto *active

*sizeChanged
	pos 8,tbHeight+20
	objmove 0,winx-8,winy-20-tbHeight
	pos 0+3,tbHeight+3
	objmove 1,winx-120-3,20-3
	pos winx-120,tbHeight
	objmove 2,120,20
	owinx=winx:owiny=winy
	return

*refresh
	status=""
	if curline.0=-1 {
		status="N҂..."
		tbchk 1,1
		tbchk 2,1
		tbchk 3,1
		tbchk 4,1
	}
	if curline.0=0 {
		status="s"
		tbchk 1,1
		tbchk 2,0
		tbchk 3,1
		tbchk 4,1
	}
	if curline.0=1 {
		status="u[N"
		tbchk 1,0
		tbchk 2,1
		tbchk 3,0
		tbchk 4,0
	}
	if curline.0=2 {
		status="I"
		tbchk 1,1
		tbchk 2,1
		tbchk 3,1
		tbchk 4,1
	}
	if curline.0=3 {
		GetExceptionInfo s
		status="OI("+s+") at "+refstr
		dialog "ʕیᔽ܂I",1
		tbchk 1,1
		tbchk 2,1
		tbchk 3,1
		tbchk 4,1
	}
	if curline.0>0 {
		gosub *shownextbutton
		if curline.1!-1 {
			notesel scriptList
			noteget s,curline.1
			a=curline.2+1
			status+=" - "+s+" "+a+"s"
		}
		else {
			status+=" - sJn{^Ă"
		}
	}
	objprm 1,status
	wndstate 8
	objsel 0

	breaking = curline.0
	return

*redrawbp
	objsend 0,EM_GETFIRSTVISIBLELINE,i,i,1
	fvline=stat
	redraw 2
	GetSystemColor a,15
	color a&255,a>>8&255,a>>16
	boxf
	color 128,0,0
	repeat 256
		GetBreakPoint bp,cnt
		if bp.0=0 : continue
		if bp.1!cscript : continue
		if bp.2-fvline<0 : continue
		x=0
		y=(bp.2-fvline)*18+tbHeight+20+4
		pos x,y
		mes "*"
	loop
	redraw 1
	return

*loadsource
	notesel scriptList
	noteget ss,sel
	title "Hot Soup Taster - "+ss
	ss=sel:str ss,3
	s=tempDir+"\\"+ss+".as"
	exist s
	a=strsize : if a>65535 : a=65535
	bload s,src,a
	poke src,a,0
	objprm 0,src
	cscript=sel
	gosub *redrawbp
	return

*breakbutton
	if curline.0!0 : return
	BreakApp
	return

*runbutton
	if curline.0!1 : return
	ResumeApp
	breaking=-2
	return

*stepinbutton
	if curline.0!1 : return
	StepInApp
	breaking=-2
	return

*tillherebutton
	if curline.0>=2 : return
	gosub *setbpbutton
	gosub *runbutton
	return

*shownextbutton
	if (curline.1!-1)&(cscript!curline.1) {
		sel=curline.1
		objprm 2,sel
		gosub *loadsource
	}
	if curline.1!-1 {
		i=0
		objsend 0,EM_LINEINDEX,curline.2,i,1 : lineStart = stat
		objsend 0,EM_LINELENGTH,lineStart,i,1 : lineEnd = lineStart + stat
		objsend 0,EM_SETSEL,lineStart,lineEnd,1
		objsend 0,EM_SCROLLCARET,0,i,1
	}
	objsel 0
	return

*changebpbutton
	i=0
	objsend 0,EM_GETSEL,i,i,1
	objsend 0,EM_LINEFROMCHAR,stat&$ffff,i,1
	i=stat
	FindBreakPoint id,cscript,i
	if id!-1 : gosub *delbpbutton : else : gosub *setbpbutton
	return

*setbpbutton
	i=0
	objsend 0,EM_GETSEL,i,i,1
	objsend 0,EM_LINEFROMCHAR,stat&$ffff,i,1
	i=stat
	FindBreakPoint id,cscript,i
	if id!-1 : return
	FindBreakPoint id,-1
	if id<0:return
	SetBreakPoint id,cscript,i
	gosub *redrawbp
	return

*delbpbutton
	i=0
	objsend 0,EM_GETSEL,i,i,1
	objsend 0,EM_LINEFROMCHAR,stat&$ffff,i,1
	i=stat
	FindBreakPoint id,cscript,i
	if id!-1 : DeleteBreakPoint id
	gosub *redrawbp
	return

*versionbutton
	dialog "Hot Soup Taster  ver 1.5\nusing hspdebug.hpi  ver "+hpiVer+"\n\nby PCB\nHP: http://www.pcbsoft.net/",0,"About"
	return

*terminatebutton
	return
	if curline.0>=2 : return
	dialog "vOI܂B낵łH",2,"Terminate"
	if stat=7:return
	CloseDebugHandle
	tbchk 99,1
	return

*bye
	if curline.0<=1 {
		dialog "fobKIƁAfobÕvO͋I܂B낵łH",3
		if stat=7 : goto *active
	}
	end

