; Original code by TAKAHASHI Shuhei <pcb@pcbsoft.net>
; This code is licensed under NYSL ver. 0.9982.
; See LICENSE.txt for details.

;
;	Hot Soup Taster ver1.5
;	First Debug Script
;

#define __HST__
#define HSTVER 150

#module "_hst"

#uselib "hspdebug.hpi"
#func	odc	OpenDebugChannel 6
#func	rdw	RegisterDebugWindow 2
#func	brk	Break 0
#func	dbg	Debug 0
#func	cdc	CloseDebugChannel $100

#deffunc init@_hst str,str
	mref p1,32
	mref p2,33

	mref dstat,64
	sdim s,1024
	sdim errmsg,64,20+1
	errmsg.0="?","߂łȂHSPR[hł","@ԈĂ܂","p[^ُ̐ł","vZŃG[܂"
	errmsg.5="p[^̏ȗ͂ł܂","p[^̌^Ⴂ܂","z̗vf傫܂","Lȃxw肳Ă܂","gosub,repeat̃lXg[܂"
	errmsg.10="Tu[`Oreturn͖ł","repeatOłloop͖ł","t@CȂȖOł","摜t@C܂","Ot@CĂяõG[ł"
	errmsg.15="vZŃJbR̋LqႢ܂","p[^̐܂","镶̏zĂ܂","łȂϐw肵Ă܂","0ŏZ܂"
	errmsg.20="obt@I[o[t[܂"

	odc p1
	if stat {
		dialog "Cannot open the debug channcel",1,"HST Debug Library"
		end
	}
	exist p2
	if strsize<0 {
		dialog "Index file not found",1,"HST Debug Library"
		end
	}
	sdim scidx,strsize+1
	bload p2,scidx,strsize
	;onerror *hsterrorhandler
	dstat=0
	return

#deffunc getscript@_hst val,int
	mref p1,24
	mref p2,1

	if p2<0 : p1="" : return
	c=0
	repeat p2
		instr a,scidx,"\n",c
		if a<0:break
		c+=a+2
	loop
	if a<0 : p1="" : return
	getstr p1,scidx,c
	return

#deffunc setstat@_hst int
	mref p1,0
	mref dstat,64
	dstat=p1
	return

*hsterrorhandler
	getscript cfile
	dialog "Error "+wparam+" at line "+lparam+" ["+s+"]\n--> "+errmsg.wparam,0,"HSP Error - HST Debug Library"
	end

#deffunc _d2 int,int
	mref p1,0
	mref p2,1

	t=stat
	cfile=p1
	cline=p2
	dbg cfile,cline
	dstat=t
	return

#global

#define global _d(%1,%2) t@_hst=stat:cfile@_hst=%1:cline@_hst=%2+1:dbg@_hst %1,%2:_dx:dstat@_hst=t@_hst



skiperr 1
gsel 32:if err=0:rdw@_hst:objprm 0,0:gsel 0
skiperr 0

