; Original code by TAKAHASHI Shuhei <pcb@pcbsoft.net>
; This code is licensed under NYSL ver. 0.9982.
; See LICENSE.txt for details.

;
;	Hot Soup Taster
;	Debugging Support Header Script
;

#define HSTX 1

#uselib "hspdebug.hpi"
#func OpenDebugChannel@_hst OpenDebugChannel 6
#func RegisterDebugWindow@_hst RegisterDebugWindow 2
#func Break@_hst Break 0
#func Debug@_hst Debug 0
#func CloseDebugChannel@_hst CloseDebugChannel $100


#module "_hst"

#deffunc _hst_init
	mref _stat,64
	scidx=""

	sdim s,1024
	tstat=0
	return

#deffunc _hst_regidx str
	mref p1,32

	exist p1
	if strsize<0 {
		dialog "IndexFile not found",1,"HST Debug Library"
		end
	}
	sdim scidx,strsize+1
	bload p1,scidx,strsize
	_stat=0
	return

#deffunc _d int,int
	mref p1,0
	mref p2,1

	t=stat
	cfile=p1
	cline=p2
	Debug cfile,cline
	_stat=t
	return

#global

;// This difination cannot be used with large script
;// Currently _d@_hst is called instead of this macro
;#define _d(%1,%2) t@_hst=stat:cfile@_hst=%1:cline@_hst=%2:Debug@_hst %1,%2:_stat@_hst=t@_hst

_hst_init

skiperr 1
gsel 32:if err=0:RegisterDebugWindow@_hst:objprm 0,0:gsel 0
skiperr 0

; /* debugger inserts script after this line */
